## irsim 9.7.75

=== tcltk/Makefile ===
MODULE = tcltk
IRSIMDIR = ..
SRCS =	tclirsim.c tclanalyzer.c lookup.c
TK_SRCS = tkAnalyzer.c tkTag.c

include ${IRSIMDIR}/defs.mak

EXTRA_LIBS = ${MAIN_EXTRA_LIBS}

DFLAGS += -DIRSIM_DATE="\"`date`\""
LIBS += ${GR_LIBS} -lm
CLEANS += irsim.sh irsim.tcl irsimexec
SRCS += ${GR_SRCS}
CFLAGS += -I${IRSIMDIR}/base -I${IRSIMDIR}/analyzer

TCL_FILES = \
	$(DESTDIR)${TCLDIR}/tkcon.tcl \
	$(DESTDIR)${TCLDIR}/console.tcl \
	$(DESTDIR)${TCLDIR}/cver.tcl \
	$(DESTDIR)${TCLDIR}/irsim.tcl

tcl-main: irsimexec irsim.tcl irsim.sh

install-tcl: irsimexec $(DESTDIR)${BINDIR}/irsim.sh ${TCL_FILES}
	${RM} $(DESTDIR)${TCLDIR}/irsimexec
	${CP} irsimexec $(DESTDIR)${TCLDIR}/irsimexec

irsimexec: irsimexec.c tclirsim.o
	${CC} ${CFLAGS} ${CPPFLAGS} ${DFLAGS} irsimexec.c -o irsimexec \
		${LIBS} ${LIB_SPECS}

irsim.tcl: irsim.tcl.in
	sed -e /TCL_DIR/s%TCL_DIR%${TCLDIR}%g \
	    -e /SHDLIB_EXT/s%SHDLIB_EXT%${SHDLIB_EXT}%g \
	    irsim.tcl.in > irsim.tcl

irsim.sh: irsim.sh.in
	sed -e /TCL_DIR/s%TCL_DIR%${TCLDIR}%g \
	    -e /TCLLIB_DIR/s%TCLLIB_DIR%${TCL_LIB_DIR}%g \
	    -e /WISH_EXE/s%WISH_EXE%${WISH_EXE}%g \
	    irsim.sh.in > irsim.sh

$(DESTDIR)${TCLDIR}/%: %
	${RM} $(DESTDIR)${TCLDIR}/$*
	${CP} $* $(DESTDIR)${TCLDIR}/$*

$(DESTDIR)${BINDIR}/irsim.sh: irsim.sh
	${RM} $(DESTDIR)${BINDIR}/irsim.sh $(DESTDIR)${BINDIR}/irsim
	${CP} irsim.sh $(DESTDIR)${BINDIR}/irsim
	(cd $(DESTDIR)${BINDIR}; chmod 0755 irsim)


include ${IRSIMDIR}/rules.mak

## irsim 9.7.74

=== debian/changelog ===
irsim (9.7.74-1) unstable; urgency=low

  * Initial release (Closes: #478112)

 -- Roland Stigge <stigge@antcom.de>  Wed, 27 Jul 2011 13:18:46 +0200

=== debian/control ===
Source: irsim
Section: electronics
Priority: extra
Maintainer: Roland Stigge <stigge@antcom.de>
Build-Depends: debhelper (>= 8.0.0), autotools-dev, tcl-dev, tk-dev, mesa-common-dev, m4, x11proto-core-dev, libxt-dev
Standards-Version: 3.9.2
Homepage: http://opencircuitdesign.com/irsim/

Package: irsim
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: switch-level simulator
 IRSIM is a tool for simulating digital circuits. It is a "switch-level"
 simulator; that is, it treats transistors as ideal switches. Extracted
 capacitance and lumped resistance values are used to make the switch a little
 bit more realistic than the ideal, using the RC time constants to predict the
 relative timing of events.

## irsim 9.7.75

=== debian/changelog ===
irsim (9.7.75-1) unstable; urgency=low

  * New upstream release
  * debian/compat: 9
  * debian/control: Standards-Version: 3.9.3

 -- Roland Stigge <stigge@antcom.de>  Sat, 10 Mar 2012 20:43:11 +0100

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: electronics
 Priority: extra
 Maintainer: Roland Stigge <stigge@antcom.de>
-Build-Depends: debhelper (>= 8.0.0), autotools-dev, tcl-dev, tk-dev, mesa-common-dev, m4, x11proto-core-dev, libxt-dev
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 9), autotools-dev, tcl-dev, tk-dev, mesa-common-dev, m4, x11proto-core-dev, libxt-dev
+Standards-Version: 3.9.3
 Homepage: http://opencircuitdesign.com/irsim/
 
 Package: irsim

## irsim 9.7.79

=== debian/changelog ===
irsim (9.7.79-2) unstable; urgency=low

  * debian/control: Standards-Version: 3.9.4

 -- Roland Stigge <stigge@antcom.de>  Wed, 15 May 2013 21:50:57 +0200

irsim (9.7.79-1) experimental; urgency=low

  * New upstream release

 -- Roland Stigge <stigge@antcom.de>  Fri, 25 Jan 2013 11:12:10 +0100

irsim (9.7.78-1) experimental; urgency=low

  * New upstream release

 -- Roland Stigge <stigge@antcom.de>  Tue, 25 Sep 2012 13:15:15 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Roland Stigge <stigge@antcom.de>
 Build-Depends: debhelper (>= 9), autotools-dev, tcl-dev, tk-dev, mesa-common-dev, m4, x11proto-core-dev, libxt-dev
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://opencircuitdesign.com/irsim/
 
 Package: irsim

## irsim 9.7.82

=== Makefile ===
#
# Makefile redesigned for irsim-9.7
#

IRSIMDIR = .
PROGRAMS = irsim
LIBRARIES =
MODULES  = base analyzer

MAKEFLAGS  =
INSTALL_CAD_DIRS = lib doc

include defs.mak

all:	$(ALL_TARGET)

standard:
	@echo --- errors and warnings logged in file make.log
	@${MAKE} mains 2>&1 | tee -a make.log

tcl:
	@echo --- errors and warnings logged in file make.log
	@${MAKE} tcllibrary 2>&1 | tee -a make.log

force:	clean all

defs.mak:
	@echo No \"defs.mak\" file found.  Run "configure" to make one.

config:
	${IRSIMDIR}/configure

tcllibrary: modules
	@echo --- making Tcl shared-object libraries
	for dir in ${PROGRAMS}; do \
		(cd $$dir && ${MAKE} tcl-main); done

mains: modules
	@echo --- making main programs
	for dir in ${PROGRAMS}; do \
		(cd $$dir && ${MAKE} main); done

modules:
	@echo --- making modules
	for dir in ${MODULES}; do \
		(cd $$dir && ${MAKE} module); done

libs:
	@echo --- making libraries
	for dir in ${LIBRARIES}; do \
		(cd $$dir && ${MAKE} lib); done

depend:
	for dir in ${MODULES} ${PROGRAMS}; do \
		(cd $$dir && ${MAKE} depend); done

install: $(INSTALL_TARGET)

install-irsim:
	@echo --- installing executables to $(DESTDIR)${BINDIR}
	@echo --- installing run-time files to $(DESTDIR)${LIBDIR}
	@${MAKE} install-real >> install.log

install-real: install-dirs
	for dir in ${INSTALL_CAD_DIRS}; do \
		(cd $$dir && ${MAKE} install); done
	for dir in ${PROGRAMS}; do \
		(cd $$dir && ${MAKE} install); done

install-tcl-dirs:
	${IRSIMDIR}/scripts/mkdirs $(DESTDIR)${BINDIR} $(DESTDIR)${MANDIR} \
		$(DESTDIR)${TCLDIR} $(DESTDIR)${PRMDIR} $(DESTDIR)${XBMDIR}

install-dirs:
	${IRSIMDIR}/scripts/mkdirs $(DESTDIR)${BINDIR} $(DESTDIR)${MANDIR} \
		$(DESTDIR)${PRMDIR}

install-tcl:
	@echo --- installing executables to $(DESTDIR)${BINDIR}
	@echo --- installing run-time files to $(DESTDIR)${LIBDIR}
	@${MAKE} install-tcl-real 2>&1 >> install.log

install-tcl-real: install-tcl-dirs
	for dir in ${INSTALL_CAD_DIRS} ${PROGRAMS}; do \
		(cd $$dir && ${MAKE} install-tcl); done

clean:
	for dir in ${MODULES} ${PROGRAMS} ${UNUSED_MODULES}; do \
		(cd $$dir && ${MAKE} clean); done

distclean:
	touch defs.mak
	@${MAKE} clean
	${RM} defs.mak old.defs.mak ${IRSIMDIR}/scripts/defs.mak
	${RM} ${IRSIMDIR}/scripts/default.conf
	${RM} ${IRSIMDIR}/scripts/config.log ${IRSIMDIR}/scripts/config.status
	${RM} scripts/irsim.spec irsim-`cat VERSION` irsim-`cat VERSION`.tgz
	${RM} *.log

dist:
	${RM} scripts/irsim.spec irsim-`cat VERSION` irsim-`cat VERSION`.tgz
	sed -e /@VERSION@/s%@VERSION@%`cat VERSION`% \
	    scripts/irsim.spec.in > scripts/irsim.spec
	ln -nsf . irsim-`cat VERSION`
	tar zchvf irsim-`cat VERSION`.tgz --exclude CVS \
	    --exclude irsim-`cat VERSION`/irsim-`cat VERSION` \
	    --exclude irsim-`cat VERSION`/irsim-`cat VERSION`.tgz \
	    irsim-`cat VERSION`

clean-mains:
	for dir in ${PROGRAMS}; do \
		(cd $$dir && ${RM} $$dir}; done

tags:
	${RM} tags

=== random/Makefile ===
MODULE = random
IRSIMDIR = ..
SRCS = random.c

include ${IRSIMDIR}/defs.mak

EXTRA_LIBS = ${MAIN_EXTRA_LIBS}

LIBS += -lm ${MAC_EXTRA_LIBS}
CLEANS += random${SHDLIB_EXT} randwrap.o

main:

install:

tcl-main: random${SHDLIB_EXT}

randwrap.o: random.c
	${CC} ${CFLAGS} ${CPPFLAGS} ${DFLAGS} random.c -c -o randwrap.o
	
random${SHDLIB_EXT}: randwrap.o
	@echo --- making random Tcl library
	${RM} random${SHDLIB_EXT}
	${CC} ${CFLAGS} ${CPPFLAGS} -o $@ ${LDDL_FLAGS} randwrap.o \
		${MAC_SHARED} -lc ${LIBS} ${LD_EXTRA_LIBS}

install-tcl: $(DESTDIR)${TCLDIR}/random${SHDLIB_EXT}

$(DESTDIR)${TCLDIR}/random${SHDLIB_EXT}: random${SHDLIB_EXT}
	${RM} $(DESTDIR)${TCLDIR}/random${SHDLIB_EXT}
	${CP} random${SHDLIB_EXT} $(DESTDIR)${TCLDIR}/random${SHDLIB_EXT}

include ${IRSIMDIR}/rules.mak

=== tclsubckt/Makefile ===
MODULE	  = tclsubckt
IRSIMDIR  = ..
SRCS      = diglib.c

include ${IRSIMDIR}/defs.mak

EXTRA_LIBS = ${MAIN_EXTRA_LIBS}

LIBS += -lm ${MAC_EXTRA_LIBS}
CFLAGS +=  -I${IRSIMDIR}/base
CLEANS +=  irsim.user diglib${SHDLIB_EXT} diglib.o

main: 

install:

tcl-main: diglib${SHDLIB_EXT}

diglib.o: diglib.c
	${CC} ${CFLAGS} ${CPPFLAGS} ${DFLAGS} diglib.c -c -o diglib.o

diglib${SHDLIB_EXT}: diglib.o
	@echo --- making diglib subcircuit shared library
	${RM} diglib${SHDLIB_EXT}
	${CC} ${CFLAGS} ${CPPFLAGS} -o $@ ${LDDL_FLAGS} diglib.o \
		${MAC_SHARED} -lc ${LIBS} ${LD_EXTRA_LIBS}

install-tcl: $(DESTDIR)${TCLDIR}/diglib${SHDLIB_EXT}

$(DESTDIR)${TCLDIR}/diglib${SHDLIB_EXT}: diglib${SHDLIB_EXT}
	${RM} $(DESTDIR)${TCLDIR}/diglib${SHDLIB_EXT}
	${CP} diglib${SHDLIB_EXT} $(DESTDIR)${TCLDIR}/diglib${SHDLIB_EXT}

include ${IRSIMDIR}/rules.mak

=== debian/changelog ===
irsim (9.7.82-2) unstable; urgency=low

  * Use autotools-dev to update config.{sub,guess} (Closes: #727389)

 -- Roland Stigge <stigge@antcom.de>  Thu, 24 Oct 2013 11:30:39 +0200

irsim (9.7.82-1) unstable; urgency=low

  * New upstream release
  * Use readlink for /usr/bin/wish in irsim to use versioned wish
    (Closes: #725700)

 -- Roland Stigge <stigge@antcom.de>  Thu, 17 Oct 2013 10:35:16 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: electronics
 Priority: extra
 Maintainer: Roland Stigge <stigge@antcom.de>
-Build-Depends: debhelper (>= 9), autotools-dev, tcl-dev, tk-dev, mesa-common-dev, m4, x11proto-core-dev, libxt-dev
+Build-Depends: debhelper (>= 9), autotools-dev, tcl-dev, tk-dev, mesa-common-dev, m4, x11proto-core-dev, libxt-dev, autotools-dev
 Standards-Version: 3.9.4
 Homepage: http://opencircuitdesign.com/irsim/

## irsim 9.7.87

=== debian/changelog ===
irsim (9.7.87-1) unstable; urgency=medium

  * New upstream release

 -- Roland Stigge <stigge@antcom.de>  Sat, 07 Jun 2014 16:13:37 +0200

irsim (9.7.84-1) unstable; urgency=medium

  * New upstream release
  * debian/control: Standards-Version: 3.9.5

 -- Roland Stigge <stigge@antcom.de>  Thu, 29 May 2014 17:42:57 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Roland Stigge <stigge@antcom.de>
 Build-Depends: debhelper (>= 9), autotools-dev, tcl-dev, tk-dev, mesa-common-dev, m4, x11proto-core-dev, libxt-dev, autotools-dev
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://opencircuitdesign.com/irsim/
 
 Package: irsim

=== debian/watch ===
version=3
http://opencircuitdesign.com/irsim/download.html .*irsim-(.*).tgz

## irsim 9.7.93

=== Makefile ===
--- 
+++ 
@@ -87,6 +87,7 @@
 clean:
 	for dir in ${MODULES} ${PROGRAMS} ${UNUSED_MODULES}; do \
 		(cd $$dir && ${MAKE} clean); done
+	${RM} *.log
 
 distclean:
 	touch defs.mak
@@ -95,7 +96,6 @@
 	${RM} ${IRSIMDIR}/scripts/default.conf
 	${RM} ${IRSIMDIR}/scripts/config.log ${IRSIMDIR}/scripts/config.status
 	${RM} scripts/irsim.spec irsim-`cat VERSION` irsim-`cat VERSION`.tgz
-	${RM} *.log
 
 dist:
 	${RM} scripts/irsim.spec irsim-`cat VERSION` irsim-`cat VERSION`.tgz

=== tcltk/Makefile ===
--- 
+++ 
@@ -16,7 +16,7 @@
 TCL_FILES = \
 	$(DESTDIR)${TCLDIR}/tkcon.tcl \
 	$(DESTDIR)${TCLDIR}/console.tcl \
-	$(DESTDIR)${TCLDIR}/cver.tcl \
+	$(DESTDIR)${TCLDIR}/vcd.tcl \
 	$(DESTDIR)${TCLDIR}/irsim.tcl
 
 tcl-main: irsimexec irsim.tcl irsim.sh

=== debian/changelog ===
irsim (9.7.93-1) unstable; urgency=medium

  * New upstream release
  * debian/control: Standards-Version: 3.9.6
  * Added 05-reproducible-build.patch to make build reproducible. Thanks to
    Chris Lamb (Closes: #778267)

 -- Roland Stigge <stigge@antcom.de>  Sat, 16 Jan 2016 16:39:46 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Roland Stigge <stigge@antcom.de>
 Build-Depends: debhelper (>= 9), autotools-dev, tcl-dev, tk-dev, mesa-common-dev, m4, x11proto-core-dev, libxt-dev, autotools-dev
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://opencircuitdesign.com/irsim/
 
 Package: irsim

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with autotools_dev

override_dh_auto_install:
	dh_auto_install
	sed -i -e "s,/usr/bin/wish,$(shell readlink -f /usr/bin/wish)," debian/irsim/usr/bin/irsim

## irsim 9.7.101

=== faultsim/Makefile ===
MODULE = faultsim
IRSIMDIR = ..
SRCS = faultsim.c incsim.c

include ${IRSIMDIR}/defs.mak

CFLAGS += -I${IRSIMDIR}/base

include ${IRSIMDIR}/rules.mak

=== random/Makefile ===
--- 
+++ 
@@ -21,7 +21,7 @@
 random${SHDLIB_EXT}: randwrap.o
 	@echo --- making random Tcl library
 	${RM} random${SHDLIB_EXT}
-	${CC} ${CFLAGS} ${CPPFLAGS} -o $@ ${LDDL_FLAGS} randwrap.o \
+	${CC} ${CFLAGS} ${CPPFLAGS} ${LDFLAGS} -o $@ ${LDDL_FLAGS} randwrap.o \
 		${MAC_SHARED} -lc ${LIBS} ${LD_EXTRA_LIBS}
 
 install-tcl: $(DESTDIR)${TCLDIR}/random${SHDLIB_EXT}

=== debian/changelog ===
irsim (9.7.101-1) unstable; urgency=medium

  * New upstream release

 -- Ruben Undheim <ruben.undheim@gmail.com>  Thu, 20 Dec 2018 10:40:53 +0100

irsim (9.7.100-1) unstable; urgency=medium

  * New upstream release
    - Refresh patches (using 'gbp pq')
  * Adopt orphaned package into the Debian Electronics team
    with myself as the only uploader. (Closes: #812628)
  * debian/autoreconf:
    - specify path of autoreconf files such that dh-autoreconf works correctly
  * debian/compat: level 11
  * debian/control:
    - Priority changed to optional
    - Maintainer changed to "Debian Electronics Team".
    - Added "Ruben Undheim" as uploader
    - debhelper >= 11
    - New standards version 4.2.1 - no changes
    - Added VCS URLs pointing to Salsa.
    - Upper-case first letter in short description
  * debian/copyright:
    - Use secure URL in Format field
    - Added new debian copyright holder
  * debian/gbp.conf: to enforce pristine-tar with gbp
  * debian/lintian-overrides: ignore one spelling error
  * debian/patches/05-reproducible-build.patch:
    - Patch for reproducible build updated (Closes: #829628)
      Thanks "Chris Lamb"!
  * debian/patches/0006-Fix-spelling-errors.patch:
    - Fix a number of detected spelling errors
  * debian/rules:
    - Add flags for hardening
    - Replace '--with autotools_dev' with '--with autoreconf'

 -- Ruben Undheim <ruben.undheim@gmail.com>  Sun, 02 Sep 2018 23:30:30 +0200

irsim (9.7.93-2) unstable; urgency=medium

  * QA upload.
  * Set Debian QA Group as maintainer. (see #812628)
  * Migrated DH level to 10.
  * debian/control:
      - Bumped Standards-Version to 4.0.0.
  * debian/watch: updated version to 4.
  * Run wrap-and-sort -a.

 -- Felipe Barbosa Alves <barbosa.felipe10@gmail.com>  Mon, 04 Sep 2017 14:26:33 -0300

=== debian/control ===
Source: irsim
Section: electronics
Priority: optional
Maintainer: Debian Electronics Team <pkg-electronics-devel@lists.alioth.debian.org>
Uploaders: Ruben Undheim <ruben.undheim@gmail.com>
Build-Depends: debhelper (>= 11),
               libxt-dev,
               mesa-common-dev,
               tcl-dev,
               tk-dev,
               x11proto-core-dev
Standards-Version: 4.2.1
Homepage: http://opencircuitdesign.com/irsim/
Vcs-Browser: https://salsa.debian.org/electronics-team/irsim
Vcs-Git: https://salsa.debian.org/electronics-team/irsim.git

Package: irsim
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Switch-level simulator
 IRSIM is a tool for simulating digital circuits. It is a "switch-level"
 simulator; that is, it treats transistors as ideal switches. Extracted
 capacitance and lumped resistance values are used to make the switch a little
 bit more realistic than the ideal, using the RC time constants to predict the
 relative timing of events.

## irsim 9.7.104

=== analyzer/Makefile ===
MODULE = analyzer
IRSIMDIR = ..

NULL_SRCS = noana.c
X11_SRCS = coords.c graphics.c movetrace.c setsteps.c wm.c \
   analyzer.c defaults.c icon.c namelen.c textwind.c zoom.c base.c \
   deltaT.c menu.c postscript.c update.c convert.c event.c movetot.c \
   scrollbar.c window.c
TK_SRCS = coords.c graphics.c movetrace.c setsteps.c \
   analyzer.c defaults.c namelen.c textwind.c zoom.c base.c \
   deltaT.c postscript.c update.c convert.c movetot.c tkana.c \
   window.c
TOGL_SRCS =

include ${IRSIMDIR}/defs.mak

X11HELPER_SRCS = anXhelper.c
X11HELP_PROG = anXhelper

SRCS = ${GR_SRCS}
OBJS = ${GR_SRCS:.c=.o}
CFLAGS += ${GR_CFLAGS} -I${IRSIMDIR}/base
DFLAGS += ${GR_DFLAGS}
CLEANS += ${GR_HELPER_PROG}
LIBS += ${GR_LIBS}

main: ${GR_HELPER_PROG}

${GR_HELPER_PROG}: ${GR_HELPER_SRCS}
	@echo --- building main ${GR_HELPER_PROG}
	${RM} ${GR_HELPER_PROG}
	${CC} ${CFLAGS} ${CPPFLAGS} ${DFLAGS} ${GR_HELPER_SRCS} -o ${GR_HELPER_PROG} ${LIBS}

install: $(DESTDIR)${BINDIR}/${GR_HELPER_PROG}

install-tcl:
	@echo --- Nothing to do for analyzer in Tcl version.

$(DESTDIR)${BINDIR}/${GR_HELPER_PROG}: ${GR_HELPER_PROG}
	${RM} $(DESTDIR)${BINDIR}/${GR_HELPER_PROG}
	${CP} ${GR_HELPER_PROG} $(DESTDIR)${BINDIR}

include ${IRSIMDIR}/rules.mak

=== doc/Makefile ===
IRSIMDIR = ..

include ${IRSIMDIR}/defs.mak

MANDIRS = $(DESTDIR)${MANDIR} \
	  $(DESTDIR)${MANDIR}/man1 \
	  $(DESTDIR)${MANDIR}/man3 \
	  $(DESTDIR)${MANDIR}/man5
DOCDIRS = $(DESTDIR)${DOCDIR}

MANFILES = $(DESTDIR)${MANDIR}/man3/irsim-analyzer.3 \
	   $(DESTDIR)${MANDIR}/man1/irsim.1 \
	   $(DESTDIR)${MANDIR}/man5/netchange.5 

DOCFILES = $(DESTDIR)${DOCDIR}/irsim-analyzer.doc \
	   $(DESTDIR)${DOCDIR}/irsim.doc \
	   $(DESTDIR)${DOCDIR}/netchange.doc \
	   $(DESTDIR)${DOCDIR}/powerEst.doc

install: ${MANDIRS} ${MANFILES} ${DOCDIRS} ${DOCFILES}

install-tcl: ${MANDIRS} ${MANFILES} ${DOCDIRS} ${DOCFILES}

${MANDIRS}: make-man-dirs

make-man-dirs:
	${SCRIPTS}/mkdirs ${MANDIRS}

${DOCDIRS}: make-doc-dirs

make-doc-dirs:
	${SCRIPTS}/mkdirs ${DOCDIRS}

$(DESTDIR)${MANDIR}/man1/%: % ${MANDIRS}
	${CP} $* $(DESTDIR)${MANDIR}/man1/$*

$(DESTDIR)${MANDIR}/man3/%: % ${MANDIRS}
	${CP} $* $(DESTDIR)${MANDIR}/man3/$*

$(DESTDIR)${MANDIR}/man5/%: % ${MANDIRS}
	${CP} $* $(DESTDIR)${MANDIR}/man5/$*

$(DESTDIR)${DOCDIR}/%: % ${DOCDIRS}
	${CP} $* $(DESTDIR)${DOCDIR}/$*

=== irsim/Makefile ===
MODULE = irsim
IRSIMDIR = ..
SRCS =	irsim.c

include ${IRSIMDIR}/defs.mak

EXTRA_LIBS = ${IRSIMDIR}/analyzer/libanalyzer.o \
	     ${IRSIMDIR}/base/libbase.o \
	     ${MAIN_EXTRA_LIBS}

DFLAGS += -DIRSIM_DATE="\"`date`\""

CFLAGS += -I${IRSIMDIR}/base
LIBS += ${GR_LIBS} -lm
CLEANS += genspktbl gentbl tclirsim${SHDLIB_EXT}
SRCS += ${OTHER_SRCS}

main: irsim gentbl genspktbl

tcl-main: tclirsim${SHDLIB_EXT}

tclirsim${SHDLIB_EXT}: ${EXTRA_LIBS}
	@echo --- making irsim Tcl library \(tclirsim${SHDLIB_EXT}\)
	${RM} tclirsim${SHDLIB_EXT}
	${CC} ${CFLAGS} ${CPPFLAGS} ${LDFLAGS} -o $@ ${LDDL_FLAGS} ${LD_RUN_PATH} \
		${EXTRA_LIBS} -lc ${LIBS} ${LD_EXTRA_LIBS}

$(DESTDIR)${BINDIR}/irsim:
	${RM} $(DESTDIR)${BINDIR}/irsim
	${CP} irsim $(DESTDIR)${BINDIR}/irsim

$(DESTDIR)${BINDIR}/gentbl:
	${RM} $(DESTDIR)${BINDIR}/gentbl
	${CP} gentbl $(DESTDIR)${BINDIR}/gentbl

$(DESTDIR)${BINDIR}/genspktbl:
	${RM} $(DESTDIR)${BINDIR}/genspktbl
	${CP} genspktbl $(DESTDIR)${BINDIR}/genspktbl

gentbl:
	${CC} ${CFLAGS} ${CPPFLAGS} ${DFLAGS} gentbl.c -o $@ ${LIBS}

genspktbl:
	${CC} ${CFLAGS} ${CPPFLAGS} ${DFLAGS} genspktbl.c -o $@ ${LIBS}

install: $(DESTDIR)${BINDIR}/irsim $(DESTDIR)${BINDIR}/gentbl \
		$(DESTDIR)${BINDIR}/genspktbl

install-tcl: $(DESTDIR)${TCLDIR}/tclirsim${SHDLIB_EXT}

$(DESTDIR)${TCLDIR}/tclirsim${SHDLIB_EXT}: tclirsim${SHDLIB_EXT}
	${RM} $(DESTDIR)${TCLDIR}/tclirsim${SHDLIB_EXT}
	${CP} tclirsim${SHDLIB_EXT} $(DESTDIR)${TCLDIR}/tclirsim${SHDLIB_EXT}

include ${IRSIMDIR}/rules.mak

=== lib/Makefile ===
IRSIMDIR = ..

include ${IRSIMDIR}/defs.mak

FILES = \
amiabn.80.n99z.5.prm \
amic5.30.n98s.3.3.prm \
amicwl.50.n97l.5.prm \
hpcmos10.20.n98v.3.3.prm \
hpcmos14.30.n9ae.3.3.prm \
hpcmos26.40.n88x.5.prm \
orbit.60.n96e.5.prm \
scmos100.prm \
scmos1_6um.prm \
scmos2um.prm \
scmos30.prm \
scmos35.prm \
scmos50_3v.prm \
scmos50_5v.prm \
scmos60.prm \
tsmc18.10.nxxx.1.8.prm \
tsmc25.15.n99y.2.5.prm \
tsmc35.20.n98t.3.3.prm \
tsmc35p.20.n98tp.3.3.prm

BITMAPS = left.xbm right.xbm lleft.xbm rright.xbm center.xbm

INST_FILES= $(FILES:%=$(DESTDIR)${PRMDIR}/%)

INST_BITMAPS= $(BITMAPS:%=$(DESTDIR)${XBMDIR}/%)

install-tcl: ${INST_FILES} ${INST_BITMAPS}

install: ${INST_FILES}

$(DESTDIR)${PRMDIR}/%: prm/%
	(cd prm; ${CP} $* $(DESTDIR)${PRMDIR}/$*)

$(DESTDIR)${XBMDIR}/%: bitmaps/%
	(cd bitmaps; ${CP} $* $(DESTDIR)${XBMDIR}/$*)

=== tclsubckt/Makefile ===
--- 
+++ 
@@ -22,7 +22,7 @@
 diglib${SHDLIB_EXT}: diglib.o
 	@echo --- making diglib subcircuit shared library
 	${RM} diglib${SHDLIB_EXT}
-	${CC} ${CFLAGS} ${CPPFLAGS} -o $@ ${LDDL_FLAGS} diglib.o \
+	${CC} ${CFLAGS} ${CPPFLAGS} ${LDFLAGS} -o $@ ${LDDL_FLAGS} diglib.o \
 		${MAC_SHARED} -lc ${LIBS} ${LD_EXTRA_LIBS}
 
 install-tcl: $(DESTDIR)${TCLDIR}/diglib${SHDLIB_EXT}

=== tcltk/Makefile ===
--- 
+++ 
@@ -26,7 +26,7 @@
 	${CP} irsimexec $(DESTDIR)${TCLDIR}/irsimexec
 
 irsimexec: irsimexec.c tclirsim.o
-	${CC} ${CFLAGS} ${CPPFLAGS} ${DFLAGS} irsimexec.c -o irsimexec \
+	${CC} ${CFLAGS} ${CPPFLAGS} ${DFLAGS} ${LDFLAGS} irsimexec.c -o irsimexec \
 		${LIBS} ${LIB_SPECS}
 
 irsim.tcl: irsim.tcl.in

=== usersubckt/Makefile ===
MODULE	  = usersubckt
IRSIMDIR  = ..
SRCS      = subckt.c user.c

include ${IRSIMDIR}/defs.mak

CFLAGS +=  -I${IRSIMDIR}/base

include ${IRSIMDIR}/rules.mak

=== other/h2a/Makefile ===
OSRCS =	access.c binsim.c cad_dir.c config.c fio.c hist_io.c mem.c \
	prints.c sim.c tpos.c

LSRCS =	h2a.c Hist.c Nsubrs.c sort.c

SRCS =	$(LSRCS) $(OSRCS)

OBJS =	access.o binsim.o cad_dir.o config.o fio.o h2a.o Hist.o hist_io.o \
	Nsubrs.o mem.o prints.o sim.o sort.o tpos.o

CC	= cc
MAKEDEP	= ../../utils/makedep
EXPORT	= ../../utils/export

# sources included in the above SRCS
ISRCS =	nsubrs.c

CDIRS = -I../../include
LIBS =

OPTIM = -O
DBX = -g

CSW =	$(OPTIM)
#CSW = $(DBX)

EXPORTS = globals.h

h2a : MAKEFILE $(EXPORTS) $(SRCS)
	make -f MAKEFILE CSW="$(CSW)" h2a

$(EXPORTS) : $(SRCS) $(ISRCS)
	$(EXPORT) $(SRCS) $(ISRCS) globals.h

$(OSRCS) $(ISRCS) :
	ln -s ../../irsim/$@ .

$(LSRCS) :
	co $@

MAKEFILE : Makefile $(SRCS) $(ISRCS)
	@echo making MAKEFILE
	@echo SRCS = $(SRCS) > MAKEFILE
	@echo OBJS = $(OBJS) >> MAKEFILE
	@echo HDSR = $(HDRS) >> MAKEFILE
	@echo CSW = $(CSW) >> MAKEFILE
	@echo CDIRS = $(CDIRS) >> MAKEFILE
	@echo LIBS = $(LIBS) >> MAKEFILE
	@echo CFLAGS = '$$(CDIRS) $$(CSW) -DCAP_ADJUST_LIMIT=1e8' >> MAKEFILE
	@echo 'h2a : $$(OBJS)' >> MAKEFILE
	@echo '	cc $$(CFLAGS) -o h2a $$(OBJS) $(LIBS)' >> MAKEFILE
	@echo '$(OSRCS) $(ISRCS): ' >> MAKEFILE
	@echo '	ln -s ../../irsim/$$@ .' >> MAKEFILE
	@echo '$(LSRCS) : ' >> MAKEFILE
	@echo '	co $$@' >> MAKEFILE
	@/bin/csh ../../utils/CO $(LSRCS)
	@$(MAKEDEP) -I ../../include -N -o - $(SRCS) >> MAKEFILE

clean :
	rm -f MAKEFILE $(EXPORTS) $(OSRCS) $(ISRCS) $(OBJS)

=== other/inet2sim/Makefile ===
OSRCS =	access.c cad_dir.c config.c fio.c nsubrs.c mem.c prints.c tpos.c

LSRCS = Binsim.c Hist.c Sim.c inet2sim.c

SRCS =	$(LSRCS) $(OSRCS)

OBJS =	access.o Binsim.o cad_dir.o config.o fio.o Hist.o inet2sim.o \
	nsubrs.o mem.o prints.o Sim.o tpos.o

CC	= cc
MAKEDEP	= ../../utils/makedep
EXPORT	= ../../utils/export

# sources included in the above SRCS
ISRCS =	binsim.c

CDIRS = -I../../include
LIBS =

OPTIM = -O
DBX = -g

CSW =	$(OPTIM)
#CSW = $(DBX)


EXPORTS = globals.h

inet2sim : MAKEFILE $(EXPORTS) $(SRCS) $(ISRCS)
	make -f MAKEFILE CSW="$(CSW)" inet2sim

$(EXPORTS) : $(SRCS) $(ISRCS)
	$(EXPORT) $(SRCS) $(ISRCS) globals.h

$(OSRCS) $(ISRCS) :
	ln -s ../../irsim/$@ .

$(LSRCS) :
	co $@

MAKEFILE : Makefile $(SRCS) $(ISRCS)
	@echo making MAKEFILE
	@echo SRCS = $(SRCS) > MAKEFILE
	@echo OBJS = $(OBJS) >> MAKEFILE
	@echo HDSR = $(HDRS) >> MAKEFILE
	@echo CSW = $(CSW) >> MAKEFILE
	@echo CDIRS = $(CDIRS) >> MAKEFILE
	@echo LIBS = $(LIBS) >> MAKEFILE
	@echo CFLAGS = '$$(CDIRS) $$(CSW)' >> MAKEFILE
	@echo 'inet2sim : $$(OBJS)' >> MAKEFILE
	@echo '	cc $$(CFLAGS) -o inet2sim $$(OBJS) $(LIBS)' >> MAKEFILE
	@echo '$(OSRCS) $(ISRCS): ' >> MAKEFILE
	@echo '	ln -s ../../irsim/$$@ .' >> MAKEFILE
	@echo '$(LSRCS) : ' >> MAKEFILE
	@echo '	co $$@' >> MAKEFILE
	@/bin/csh ../../utils/CO $(LSRCS)
	@$(MAKEDEP) -I ../../include -N -o - $(SRCS) >> MAKEFILE

lint :
	lint -abhx $(CDIRS) $(SRCS) > inet2sim.lint

clean :
	rm -f MAKEFILE $(EXPORTS) $(OSRCS) $(ISRCS) $(OBJS)

=== debian/changelog ===
irsim (9.7.104-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Build with -std=gnu17 to workaround FTBFS with GCC 15.
    (Closes: #1096862)
  * Backport the upstream fix instead of ignoring compile errors
    for missing function declarations.
  * Stop adding -Wl,--as-needed, it's now the default.

 -- Adrian Bunk <bunk@debian.org>  Fri, 03 Oct 2025 18:11:52 +0300

irsim (9.7.104-1.1) unstable; urgency=medium

  * Non-maintainer upload
  * this package shall be kept (Closes: #1086129)
  * debian/rules: add execute_before_dh_auto_configure to respect
                  upstreams handling of ./configure (Closes: #997299)
  * debian/rules: ignore compiler errors
    Most of these issues have been fixed in more recent versions of irsim,
    but they must be ignored to compile versions 9.7.104 with recent
    versions of GCC.
    (Thanks to Gioele Barabucci for taking care of these issues)

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 19 Nov 2024 22:03:02 +0100

irsim (9.7.104-1) unstable; urgency=medium

  * New upstream release
  * debian/control:
    - New standards version 4.4.1 - no changes
    - DH level 12
    - Use debhelper-compat
  * debian/patches/0007-Fix-cross-build.patch (Closes: #941324)
    - Thanks Helmut Grohne

 -- Ruben Undheim <ruben.undheim@gmail.com>  Sat, 19 Oct 2019 20:07:42 +0200

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,13 @@
 Priority: optional
 Maintainer: Debian Electronics Team <pkg-electronics-devel@lists.alioth.debian.org>
 Uploaders: Ruben Undheim <ruben.undheim@gmail.com>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 12),
                libxt-dev,
                mesa-common-dev,
                tcl-dev,
                tk-dev,
                x11proto-core-dev
-Standards-Version: 4.2.1
+Standards-Version: 4.4.1
 Homepage: http://opencircuitdesign.com/irsim/
 Vcs-Browser: https://salsa.debian.org/electronics-team/irsim
 Vcs-Git: https://salsa.debian.org/electronics-team/irsim.git

=== debian/rules ===
--- 
+++ 
@@ -3,8 +3,14 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
+export DEB_CFLAGS_MAINT_APPEND = -std=gnu17
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+
 %:
-	dh $@ --with autotools_dev
+	dh $@ --with autoreconf
+
+execute_before_dh_auto_configure:
+	cp -v -r scripts/* ./
 
 override_dh_auto_install:
 	dh_auto_install

=== debian/watch ===
version=4
http://opencircuitdesign.com/irsim/download.html .*irsim-(.*).tgz
